# Contributing to OpenMC

Welcome, and thank you for considering contributing to OpenMC! We look forward
to welcoming new members to the community and will do our best to help you get
up to speed.

## Code of Conduct

Participants in the OpenMC project are expected to follow and uphold the [Code
of Conduct](CODE_OF_CONDUCT.md). Please report any unacceptable behavior to
openmc@anl.gov.

## Resources

- [GitHub Repository](https://github.com/openmc-dev/openmc)
- [Documentation](http://docs.openmc.org/en/latest)
- [Discussion Forum](https://openmc.discourse.group)
- [Slack Community](https://openmc.slack.com/signup) (If you don't see your
  domain listed, contact openmc@anl.gov)

## How to Report Bugs

OpenMC is hosted on GitHub and all bugs are reported and tracked through the
[Issues](https://github.com/openmc-dev/openmc/issues) listed on GitHub.

## How to Suggest Enhancements

We welcome suggestions for new features or enhancements to the code and
encourage you to submit them as Issues on GitHub. However, it's important to
recognize that our development team is relatively small and does not have
unlimited time to devote to new feature suggestions. If you are interested in
working on the feature you are requesting, indicate so in the issue and the
development team will be happy to discuss it.

## How to Submit Changes

All changes to OpenMC happen through pull requests. For a full overview of the
process, see the developer's guide section on [Contributing to
OpenMC](https://docs.openmc.org/en/latest/devguide/contributing.html).

## Code Style

Before you run off to make changes to the code, please have a look at our [style
guide](https://docs.openmc.org/en/latest/devguide/styleguide.html), which
is used when reviewing new contributions.
